"""
RPPXML
======

This module provides functionality for parsing and manipulating REAPER project files (RPP)
and related formats like RTrackTemplate and RfxChain.

Main Classes:
    RPPXML: The main class representing an RPPXML block

Main Functions:
    load: Parse RPP from file
    loads: Parse RPP from string
    dump: Write to RPP file
    dumps: Convert to RPP string
"""


# start delvewheel patch
def _delvewheel_patch_1_10_0():
    import os
    if os.path.isdir(libs_dir := os.path.abspath(os.path.join(os.path.dirname(__file__), os.pardir, 'rppxml.libs'))):
        os.add_dll_directory(libs_dir)


_delvewheel_patch_1_10_0()
del _delvewheel_patch_1_10_0
# end delvewheel patch

from .rppxml import *

__version__ = "0.1.4"
__author__ = "IcEarthlight <earthlight2187@hotmail.com>"